public class Eingabe
{
	public static void main(String[]args) throws java.io.IOException
	{
		//Tastatureingabe vorbereiten
		java.io.BufferedReader in=new java.io.BufferedReader(
			new java.io.InputStreamReader(System.in));
		
		String tastaturText="";
		int summe	=	0;
		int anzahl	=	0;
		int eingabe	=	1;
		int schnitt	=	0;
		
		System.out.println("Programm zum berechnen von Summe und Durchschnitt");
		System.out.println("Bitte Zahl eingeben (Abbruch mit 0)");
		tastaturText=in.readLine();
		eingabe=Integer.parseInt(tastaturText);
		
		
		
		while (eingabe!=0)
		{
			summe	+=	eingabe;
			anzahl++;
			System.out.println("Bitte eine weitere Zahl eingeben (Abbruch mit 0)");
			tastaturText=in.readLine();
			eingabe=Integer.parseInt(tastaturText);
			
		}
		
		if (anzahl>0)
		{
			schnitt = summe / anzahl;
			System.out.println("Durchschnitt: "+schnitt);
			System.out.println("Anzahl: "+anzahl);
			System.out.println("Summe: "+summe);
			System.out.println("Programmende!");
		}
				
	}
}